-------------------------------------------------------
---PROPELLER CONTROL FOR N1101 RAMIER BY RESTAURAVIA---
-------------------------------------------------------

-------------------------DATAREFS---------------------------------------
prop_pitch = find_dataref("sim/cockpit2/engine/actuators/prop_pitch_deg[0]")
prop_switch = create_dataref("custom/N1101/prop_switch","number") --(0=Right, 1=center, 2=left)
elec_on = find_dataref("sim/cockpit2/electrical/bus_volts[0]")
fuseprop_on = find_dataref("sim/cockpit2/switches/custom_slider_on[7]")
-------------------------RUNTIME---------------------------------------



-----CDE PAS HELICE MANU-----------------------

function cmd_prop_pitch_up(phase, duration)
	if phase == 0 then 
    prop_switch = 2
  end
 	if phase == 2 then 
    prop_switch = 1
  end
end
 
function cmd_prop_pitch_dn(phase, duration)
	if phase == 0 then 
    prop_switch = 0
  end
 	if phase == 2 then 
    prop_switch = 1
  end 
end

-----------------------RUNTIME------------------
function flight_start()
prop_switch = 1
end

function after_physics()
  if elec_on > 15 and fuseprop_on == 1 then
      if prop_switch == 2 and prop_pitch < 20 then
         prop_pitch = prop_pitch + 0.05
      elseif prop_switch == 0 and prop_pitch > 8 then
         prop_pitch = prop_pitch - 0.05
      end
  end
end


--------------COMMANDS-------------------------



---COMMANDE PAS HELICE-------
cmdproppitchup = create_command("custom/N1101/prop_pitch_up","Prop pitch increase",cmd_prop_pitch_up)
cmdproppitchdn = create_command("custom/N1101/prop_pitch_dn","Prop pitch decrease",cmd_prop_pitch_dn)